Bug 85210

Summary: Integrate IETC CSS : flexbox tests
Product: WebKit Reporter: Dave Tharp <dtharp@codeaurora.org>
Component: CSSAssignee: Dave Tharp <dtharp@codeaurora.org>
Status: RESOLVED FIXED    
Severity: Normal CC: abarth@webkit.org, aestes@apple.com, bdakin@apple.com, rakuco@webkit.org, tomz@codeaurora.org, webkit.review.bot@gmail.com
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
URL: http://samples.msdn.microsoft.com/ietestcenter/#css3flexbox
Bug Depends on: 85596    
Bug Blocks: 81526, 85666    
Attachments:
Description Flags
Patch
none
Patch abarth: review+

Description From 2012-04-30 11:05:55 PST
Integrate the 24 IETC flexbox tests.

Three of these are failures and will have separate bugs written for them.
------- Comment #1 From 2012-04-30 14:48:27 PST -------
Created an attachment (id=139522) [details]
Patch
------- Comment #2 From 2012-04-30 14:52:58 PST -------
Attachment 139522 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'LayoutTests/ChangeLog', u'LayoutTests/iete..." exit_code: 1
LayoutTests/platform/gtk/test_expectations.txt:517:  More specific entry on line 330 overrides line 517 fast/workers/storage/use-same-database-in-page-and-workers.html  [test/expectations] [5]
Total errors found: 1 in 54 files


If any of these errors are false positives, please file a bug against check-webkit-style.
------- Comment #3 From 2012-04-30 14:55:44 PST -------
Style failure due to existing issue in gtk/test_expectations.txt : 

517:  More specific entry on line 330 overrides line 517 fast/workers/storage/use-same-database-in-page-and-workers.html.

I'm inclined to let the gtk gardener deal with this rather than attempting a fix myself, but am open to suggestion.
------- Comment #4 From 2012-05-02 09:28:18 PST -------
Notes on this patch:
- 24 total tests, 3 fail.
- bugs have been written for the failures
- All tests have correct reference tests
- EWS failure due to existing problem in gtk test_expectations.txt, and also due to churn in the chromium test_expectations.txt.  I will deal with these issues when I land the patch.
------- Comment #5 From 2012-05-02 15:30:18 PST -------
Created an attachment (id=139893) [details]
Patch
------- Comment #6 From 2012-05-02 15:31:30 PST -------
(In reply to comment #5)
> Created an attachment (id=139893) [details] [details]
> Patch
Rebased to include fix (by koz) to gtk test_expectations.txt so we don't faile the style check.
------- Comment #7 From 2012-05-03 14:48:22 PST -------
Committed r116018: <http://trac.webkit.org/changeset/116018>
------- Comment #8 From 2012-05-04 14:08:07 PST -------
None of these reference tests pass on the Mac. The test looks visually identical to the reference, but ImageDiff detects a difference between the color drawn by background-image and the color in the reference image. Might this be because the images have an sRGB color profile?
------- Comment #9 From 2012-05-04 14:14:26 PST -------
I filed <https://bugs.webkit.org/show_bug.cgi?id=85666> about this.
------- Comment #10 From 2012-05-07 10:33:36 PST -------
I had assumed the green in the pngs used in the MS tests were the same color and background "green".  In fact, all my testing on my system (Linux: QT,GTK, and Chromium) went just fine.  It's weird that QT on the bots also failed on minor pixel differences (can't repro this locally).

Anyway, I've reworked the reference tests to use the pngs where necessary, so the pixel differences should disappear. I have repro'ed the issue on another developer's Mac, and will upload a patch as soon as I can get him to test the new ref tests.